安装了Ubuntu的ATi驱动为什么有时无法打开3D加速?

为当前最终发行版之前的所有版本提供支持
回复
zhouke
帖子: 43
注册时间: 2005-09-15 18:48
送出感谢: 0
接收感谢: 0

安装了Ubuntu的ATi驱动为什么有时无法打开3D加速?

#1

帖子 zhouke » 2005-09-27 12:52

我的显卡是8500LE,系统是5.04,用的是Ubuntu的驱动。安装步骤如下:
1、sudo apt-get install xorg-driver-fglrx
2、echo fglrx | sudo tee -a /etc/modules
3、sudo sed -i -e 's/"ati"/"fglrx"/' /etc/X11/xorg.conf
4、reboot
重新启动后在终端执行fglrxinfo,提示如下:
display: :0.0 screen: 0
OpenGL vendor string: ATI Technologies Inc.
OpenGL renderer string: RADEON 8500 DDR Generic
OpenGL version string: 1.3.4769 (X4.3.0-8.8.25)
此时3D加速已经打开。但是我选择注消,退到登录界面,然后重新进入后3D加速就失效了,运行fglrxinfo,显示如下:
display: :0.0 screen: 0
OpenGL vendor string: Mesa project: www.mesa3d.org
OpenGL renderer string: Mesa GLX Indirect
OpenGL version string: 1.2 (1.5 Mesa 6.2.1)
更奇怪的是,如果再注消一次,3D加速又打开了。
我发现两次注消有点不同,第一次是黑屏后直接显示登录界面,第二次在黑屏后会先显示一下字符的Longin,然后再显示GDM界面。而且我发现,这两种切换模式是交替进行的,只要出现第二种情况3D加速就能够打开,这样如果注消后要使用OpenGL就必须注消偶数次。
我用Ubuntu不是很久,不知道这是什么原因,望高手指点。
afire
帖子: 73
注册时间: 2005-07-26 8:40
送出感谢: 0
接收感谢: 0

#2

帖子 afire » 2005-09-29 0:49

你的3D没有打开 你的驱动也没有安装成功照你那个方法是不行的.

你需要去ATI下载一个 for xorg6.8的驱动,好像名叫fglrx-6-8-0_8.14.13-2_i386.rpm

代码: 全选

sudo  alien fglrx-6-8-0_8.14.13-2_i386.rpm
转成DEB包

代码: 全选

sudo apt-get install gcc

代码: 全选

sudo apt-get install linux-kernel-header
(同你用的内核版本)

代码: 全选

sudo dpkg -i --force-overwrite fglrx-6-8-0_8.14.13-2_i386.deb


代码: 全选

Ctrl+atl+F1 
切换到字符下

代码: 全选

sudo sh /lib/modules/fglrx/build_mod/make.sh

完成之后会叫你运行这个

代码: 全选

sudo sh /lib/modules/fglrx/make_install.sh

完成之后 你可以运行

代码: 全选

fglrxconfig
的向导来设置你的xorg.conf 就是些
完成后 startx 该是就装好了,可以运行

代码: 全选

glxgears 


代码: 全选

glxinfo

来测一下 你的8500 FPS该有1000以上

glxinfo的该是这样

代码: 全选

[b]direct rendering: Yes[/b]
server glx vendor string: SGI
server glx version string: 1.2
server glx extensions:
    GLX_ARB_multisample, GLX_EXT_visual_info, GLX_EXT_visual_rating,
    GLX_EXT_import_context, GLX_OML_swap_method, GLX_SGI_make_current_read,
    GLX_SGIS_multisample, GLX_SGIX_fbconfig
client glx vendor string: ATI
client glx version string: 1.3
afire
帖子: 73
注册时间: 2005-07-26 8:40
送出感谢: 0
接收感谢: 0

#3

帖子 afire » 2005-09-29 0:51

其实这个在这专里的专题里就有,只是写得不大全。
hscui
帖子: 169
注册时间: 2005-09-21 16:26
送出感谢: 0
接收感谢: 0

#4

帖子 hscui » 2005-09-29 8:10

ATI7500Mobile是否也可以这么来安装驱动?
回复

回到 “老旧版本支持”